Subject: [PATCH] ARM: rockchip: restore dapswjdp after suspend

From: [email-masked] (Heiko Stuebner)
Date: Thu, 21 May 2015 19:59:13 +0200

Hi Doug,

Am Donnerstag, 21. Mai 2015, 08:40:55 schrieb Doug Anderson:
> On Wed, May 20, 2015 at 7:02 PM, Huang, Tao <[email-masked]> wrote:
> >> It turns out that's not a safe assumption.  In some cases (pending
> >> interrupts) it's possible that the WFI might act as a no-op and the
> >> MaskROM will never run.
> > Anyway, restore the value is okay, which make the code more symmetrically
> 
> OK.  Heiko: applying this won't hurt, but it will only be useful if we
> find a way to return from the WFI successfully...

As it looks sane but doesn't fix an immediate problem I have applied this to my 
soc-branch for 4.2 .

Thanks
Heiko